# Uses of Interface
org.eclipse.net4j.util.ui.ValidationContext

Packages that use ValidationContext
Package
Description
org.eclipse.net4j.util.ui
Reusable UI components.
org.eclipse.net4j.util.ui.container
An element wizard framework for managed containers.

## Uses of ValidationContext in org.eclipse.net4j.util.ui

Classes in org.eclipse.net4j.util.ui that implement ValidationContext
Modifier and Type
Class
Description
`static class`
`ValidationContext.Aggregator`
Methods in org.eclipse.net4j.util.ui that return ValidationContext
Modifier and Type
Method
Description
`ValidationContext`
ValidationParticipant.`getValidationContext()`
Methods in org.eclipse.net4j.util.ui with parameters of type ValidationContext
Modifier and Type
Method
Description
`static int`
UIUtil.`setValidationContext(Control control, ValidationContext context)`
`void`
ValidationParticipant.`setValidationContext(ValidationContext validationContext)`
Constructors in org.eclipse.net4j.util.ui with parameters of type ValidationContext
Modifier
Constructor
Description
``
`Aggregator(ValidationContext delegate)`

## Uses of ValidationContext in org.eclipse.net4j.util.ui.container

Classes in org.eclipse.net4j.util.ui.container that implement ValidationContext
Modifier and Type
Class
Description
`class`
`ElementWizard`
`class`
`ElementWizardDialog`
Methods in org.eclipse.net4j.util.ui.container with parameters of type ValidationContext
Modifier and Type
Method
Description
`void`
ElementWizard.`create(Composite parent, IManagedContainer container, String productGroup, String factoryType, String defaultDescription, ValidationContext context)`
`void`
IElementWizard.`create(Composite parent, IManagedContainer container, String productGroup, String factoryType, String defaultDescription, ValidationContext context)`
`void`
ElementWizardComposite.`setValidationContext(ValidationContext validationContext)`
Constructors in org.eclipse.net4j.util.ui.container with parameters of type ValidationContext
Modifier
Constructor
Description
``
`ElementWizardComposite(Composite parent, int style, String productGroup, String label, ValidationContext validationContext)`
``
`ElementWizardComposite(Composite parent, int style, String productGroup, String label, ValidationContext validationContext, String defaultFactoryType)`
``
`WithCombo(Composite parent, int style, String productGroup, String label, ValidationContext validationContext)`
``
`WithCombo(Composite parent, int style, String productGroup, String label, ValidationContext validationContext, String defaultFactoryType)`
``
`WithRadios(Composite parent, int style, String productGroup, String label, ValidationContext validationContext)`
``
`WithRadios(Composite parent, int style, String productGroup, String label, ValidationContext validationContext, String defaultFactoryType)`